Qwt User's Guide 5.2.3

- Main Page
- Related Pages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
QwtRichTextEngine Class Reference

`#include <qwt_text_engine.h>`

Inheritance diagram for QwtRichTextEngine:
[legend]

List of all members.

## Public Member Functions
| QwtRichTextEngine ()
virtual void | draw (QPainter *painter, const QRect &rect, int flags, const QString &text) const
virtual int | heightForWidth (const QFont &font, int flags, const QString &text, int width) const
virtual bool | mightRender (const QString &) const
virtual void | textMargins (const QFont &, const QString &, int &left, int &right, int &top, int &bottom) const
virtual QSize | textSize (const QFont &font, int flags, const QString &text) const
Public Member Functions inherited from QwtTextEngine
virtual | ~QwtTextEngine ()

## Additional Inherited Members
Protected Member Functions inherited from QwtTextEngine
| QwtTextEngine ()

## Detailed Description

A text engine for Qt rich texts.

QwtRichTextEngine renders Qt rich texts using the classes of the Scribe framework of Qt.

## Member Function Documentation

void QwtRichTextEngine::draw | ( | QPainter * | painter,
|  | const QRect & | rect,
|  | int | flags,
|  | const QString & | text
| ) |  | const
| virtual

Draw the text in a clipping rectangle

Parameters:

  painter | Painter
  rect | Clipping rectangle
  flags | Bitwise OR of the flags like in for QPainter::drawText
  text | Text to be rendered

Implements QwtTextEngine.

int QwtRichTextEngine::heightForWidth | ( | const QFont & | font,
|  | int | flags,
|  | const QString & | text,
|  | int | width
| ) |  | const
| virtual

Find the height for a given width

Parameters:

  font | Font of the text
  flags | Bitwise OR of the flags used like in QPainter::drawText
  text | Text to be rendered
  width | Width

Returns:
  Calculated height

Implements QwtTextEngine.

bool QwtRichTextEngine::mightRender | ( | const QString & | text | ) | const
| virtual

Test if a string can be rendered by this text engine

Parameters:

  text | Text to be tested

Returns:
  QStyleSheet::mightBeRichText(text);

Implements QwtTextEngine.

void QwtRichTextEngine::textMargins | ( | const QFont & | ,
|  | const QString & | ,
|  | int & | left,
|  | int & | right,
|  | int & | top,
|  | int & | bottom
| ) |  | const
| virtual

Return margins around the texts

Parameters:

  left | Return 0
  right | Return 0
  top | Return 0
  bottom | Return 0

Implements QwtTextEngine.

QSize QwtRichTextEngine::textSize | ( | const QFont & | font,
|  | int | flags,
|  | const QString & | text
| ) |  | const
| virtual

Returns the size, that is needed to render text

Parameters:

  font | Font of the text
  flags | Bitwise OR of the flags used like in QPainter::drawText
  text | Text to be rendered

Returns:
  Caluclated size

Implements QwtTextEngine.